Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema.utils
Class NamespaceMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.apache.ws.commons.schema.utils.NamespaceMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map, javax.xml.namespace.NamespaceContext, NamespacePrefixList

    public class NamespaceMap

extends java.util.HashMap
implements NamespacePrefixList

See Also:
  Serialized Form

Constructor Summary
`NamespaceMap()`
`NamespaceMap(java.util.Map map)`

Method Summary
`void` | `add(java.lang.String prefix, java.lang.String namespaceURI)`
`java.lang.String[]` | `getDeclaredPrefixes()` Returns the list of currently defined namespace prefixes.
`java.lang.String` | `getNamespaceURI(java.lang.String prefix)`
`java.lang.String` | `getPrefix(java.lang.String namespaceURI)`
`java.util.Iterator` | `getPrefixes(java.lang.String namespaceURI)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### NamespaceMap

    public NamespaceMap()

### NamespaceMap

    public NamespaceMap(java.util.Map map)

Method Detail

### add

    public void add(java.lang.String prefix,
                    java.lang.String namespaceURI)

### getDeclaredPrefixes

    public java.lang.String[] getDeclaredPrefixes()

  Description copied from interface: `NamespacePrefixList`
  Returns the list of currently defined namespace prefixes.

  Specified by:
    `getDeclaredPrefixes` in interface `NamespacePrefixList`

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.namespace.NamespaceContext`

### getPrefix

    public java.lang.String getPrefix(java.lang.String namespaceURI)

  Specified by:
    `getPrefix` in interface `javax.xml.namespace.NamespaceContext`

### getPrefixes

    public java.util.Iterator getPrefixes(java.lang.String namespaceURI)

  Specified by:
    `getPrefixes` in interface `javax.xml.namespace.NamespaceContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.